#ifndef DSMAP_H
#define DSMAP_H

/********************************************************/
// Map of Driver Station I/O numbers to logical names

// Joystick number assignments
#define DS_JOYNUM_LEFT                  1
#define DS_JOYNUM_RIGHT                 2

// Joystick button assignments
#define DS_JOYBTN_TURBO                 1
#define DS_JOYBTN_SLOW                  2
#define DS_JOYBTN_PIVOT                 3
#define DS_JOYBTN_CAMDOWN               4
#define DS_JOYBTN_CAMUP                 5

// Joystick button debugging assignments
#define DS_DBG_KICKER					6
#define DS_DBG_TDRIVE					7
#define DS_DBG_HANGER					8
#define DS_DBG_CAM						11
#define DS_CLR_DBG						10

//control panel - digitals
#define DS_DIGIO_AUTOMODE_PLUS          1
#define DS_DIGIO_AUTOMODE_MINUS         2
#define DS_DIGIO_BALL_RDY_WORKING       3
#define DS_DIGIO_KICK_POWER_WORKING     4
#define DS_DIGIO_ARM_LEFT               5
#define DS_DIGIO_ARM_RIGHT              6
#define DS_DIGIO_ARM_WORKING            7
#define DS_DIGIO_KICK_POWER_OVERRIDE    8
// Dig Channel 9 not connected
#define DS_DIGIO_KICK                   10
#define DS_DIGIO_ARM_UP                 11
#define DS_DIGIO_ARM_DOWN               12
#define DS_DIGIO_LED_BALL_READY         13
#define DS_DIGIO_LED_SPARE_GREEN        14			
// Dig Channel 15 not connected - possibly the arm up button light
#define DS_DIGIO_ARM_UP_LIGHT			15 //temporary, probably will be changed later
#define DS_DIGIO_ARM_LOCK               16

//control panel - high current outs
#define DS_HCOUT_KICK_RDY               1     
#define DS_HCOUT_KICK_PREMATCH          2

//control panel - analog
#define DS_ANAIN_KICK_POWER             1
#define DS_ANAIN_SPARE					2
#define DS_ANAIN_BEATER_CONTROL         3
#define DS_ANAIN_AUTO_DELAY             4

#define DS_ANAOUT_KICK_POWER            1

#endif
