/*
 * This file maps all the cRIO I/O ports
 * to Team 1511 robot input/output functional
 * names. This makes it easy to handle pin reallocations
 * and remember variable names.
 *
 * Any and all changes need to be coordinated with Electrical.
 */

#ifndef IOMAP_H
#define IOMAP_H

/*
 * Analog - cRIO Slot 1
 */

#define GYRO                            1
#define MAG_POT                         2
#define HANGER_POT                      3
#define CRIO_SLOT1_4                    4
#define CRIO_SLOT1_5                    5
#define CRIO_SLOT1_6                    6
#define CRIO_SLOT1_7                    7
//8 is reserved for the battery voltage


/*
 * Digital Side Car 1 - cRIO Slot 4
 */

//Inputs
#define ENCODER_LEFT_FRONT_A            1
#define ENCODER_LEFT_REAR_A             2
#define ENCODER_RIGHT_FRONT_A           3
#define ENCODER_RIGHT_REAR_A            4
#define BALL_BANNER_SENSOR              5
#define ELECTROMAGNET_CONTACT           6
#define KICKER_MAX_FORWARD              7
#define KICKER_MAX_REVERSE              8
#define HANGER_LIMIT                    9
#define DIGIN_10                        10 
#define DIGIN_11                        11 
#define DIGIN_12                        12
#define DIGIN_13                        13
#define DIGIN_14                        14

// Relay Outputs
#define RELAY_KICKER_MOTOR_LEFT         1
#define RELAY_KICKER_MOTOR_RIGHT        2
#define RELAY_3                         3
#define RELAY_ELECTRO_MAGNET            4
#define RELAY_ELECTRO_MAGNET_2          5
#define RELAY_6                         6
#define RELAY_7                         7
#define RELAY_UNDERGLOW                 8



// THE BELOW IF STATEMENT CONTROLS WHETHER WE USE PWM OR CAN OUTPUTS
// CAN IS 1, PWM IS 0



#if 1
// CAN Outputs
#define MOTOR_LEFT_FRONT                4
#define MOTOR_LEFT_REAR                 5
#define MOTOR_RIGHT_FRONT               6
#define MOTOR_RIGHT_REAR                7
#define HANGER_WINCH                    8
#define HANGER_TILT                     2
#define BEATER_BRUSH                    3

#else
// PWM Outputs
#define MOTOR_LEFT_FRONT                1
#define MOTOR_LEFT_REAR                 2
#define MOTOR_RIGHT_FRONT               3
#define MOTOR_RIGHT_REAR                4
#define HANGER_WINCH                    5
#define HANGER_TILT                     6
#define BEATER_BRUSH					7

#endif
// Servo Outputs
#define PWM_7                           7
#define PWM_8                           8
#define HANGER_LOCK						9
#define CAM_VERT_SERVO                  10


#endif
