#ifndef THUNDERGLOW_H_
#define THUNDERGLOW_H_
#include "IOMap.h"
#include "WPILib.h"
#include "Timer.h"
class ThunderGlow {
public:
	ThunderGlow();
	~ThunderGlow();
	// runs all of the thunderglow features, including pulsing with kicki and hang, and turning on with ballAvailable
	void Process(bool shooterNotReady, bool armLocked, bool ballAvailable);
	//turn the glow on or off. 1 is on, 0 is off
	void controlGlow(int direction);
private:
	Relay * glow;
	DriverStation * driverStation;
	double time;
	enum lastChange{On,Off};
	enum pulseStep{getStartTime, checkPulse};
	enum lastChange lastPowerChange;
	enum pulseStep pulsingStep;

	

	// tells the glow to pulse at the rate given
	// rate = # of seconds in between each pulse
	void pulseGlow(double rate);
};
#endif
